### Method

# Gio File query_info_finish

#### Declaration

    GFileInfo*
    g_file_query_info_finish (
      GFile* file,
      GAsyncResult* res,
      GError** error
    )

#### Description

Finishes an asynchronous file info query. See g_file_query_info_async().

#### Parameters

`res`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GFileInfo`

`GFileInfo` for given `file` or `NULL` on error. Free the returned object with g_object_unref().

The caller of the method takes ownership of the data, and is responsible for freeing it.